# Class AnnotateVcfDbSorted

java.lang.Object
org.snpsift.annotate.AnnotateVcfDb
org.snpsift.annotate.AnnotateVcfDbSorted

public class AnnotateVcfDbSorted extends AnnotateVcfDb
Annotate using a VCF "database" Note: Assumes that the VCF database file is sorted. Each VCF entry should be sorted according to position. Chromosome order does not matter (e.g. all entries for chr10 can be before entries for chr2). But entries for the same chromosome should be together.

Author:
  pcingola

## Field Summary

### Fields inherited from class AnnotateVcfDb

`annotateEmpty, chrPrev, dbVcf, debug, errCount, existsInfoField, hasVcfInfoPerAlleleRef, infoFields, MAX_ERRORS, prependInfoFieldName, useAllInfoFields, useId, useInfoFields, useRefAlt, vcfDbFile, vcfInfoPerAllele, vcfInfoPerAlleleRef, verbose`

## Constructor Summary

Constructors
Constructor
Description
`AnnotateVcfDbSorted(String dbFileName, int maxBlockSize)`

## Method Summary

### Methods inherited from class AnnotateVcfDb

`annotate, annotateExists, annotateIds, annotateInfo, close, discoverInfoFields, discoverInfoFields, find, find, findDbExists, findDbId, findDbInfo, findDbInfo, findDbInfoAlt, findDbInfoRef, match, open, prependInfoName, query, setAnnotateEmpty, setDebug, setExistsInfoField, setInfoFields, setPrependInfoFieldName, setUseId, setUseRefAlt, setVerbose, toString, uniqueIds, warn`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AnnotateVcfDbSorted

public AnnotateVcfDbSorted(String dbFileName, int maxBlockSize)